# Rommelwood Bootstrap Theme

A [bootstrap 4](https://getbootstrap.com/) CSS theme for rommelwood websites.

## Scripts

- lint with `yarn lint`
- get "style coverage" with `yarn coverage`
- release new version: commit, `yarn version --major` or `--minor` or `--patch`, `git push --tags`

## Use in other projects

`yarn add https://git.rommelwood.de/webteam/rommelwood_bs_theme.git#1.0.0`

Please pin the version to avoid conflicts. The version comes after the hash `#`.

If you want to change things in this repo, try to modify the files in your other repository first
(by directly editing the files in `node_modules/`) and then copy the changes back to this repo after
testing them. Then you can commit and release the changes and increment the version in the
`package.json` of the other project. Keep in mind that there are many projects using this package.
Changes should work with all of them.

## License

[MIT](./LICENSE) (c) Webteam NOC WH an der Erwin-Rommel-Straße
